aboutsummaryrefslogtreecommitdiffstats
path: root/tools/updater
diff options
context:
space:
mode:
authorGiovanni Di Sirio <gdisirio@gmail.com>2018-09-15 09:58:20 +0000
committerGiovanni Di Sirio <gdisirio@gmail.com>2018-09-15 09:58:20 +0000
commit5e27a7896c5a115a53bada786849e0c247d8466c (patch)
treefc28b0122f62635ae05c6e41611210cbf16c3364 /tools/updater
parentd1c9b44d96079ff77dd4cecf58cf6eb48f90b9c8 (diff)
downloadChibiOS-5e27a7896c5a115a53bada786849e0c247d8466c.tar.gz
ChibiOS-5e27a7896c5a115a53bada786849e0c247d8466c.tar.bz2
ChibiOS-5e27a7896c5a115a53bada786849e0c247d8466c.zip
git-svn-id: svn://svn.code.sf.net/p/chibios/svn/trunk@12260 110e8d01-0319-4d1e-a829-52ad28d1bb01
Diffstat (limited to 'tools/updater')
-rw-r--r--tools/updater/update_chconf_nil.sh2
-rw-r--r--tools/updater/update_chconf_rt.sh2
-rw-r--r--tools/updater/update_halconf.sh2
-rw-r--r--tools/updater/update_mcuconf_stm32f413xx.sh2
-rw-r--r--tools/updater/update_mcuconf_stm32h743xx.sh2
-rw-r--r--tools/updater/update_mcuconf_stm32l4r5xx.sh2
6 files changed, 6 insertions, 6 deletions
diff --git a/tools/updater/update_chconf_nil.sh b/tools/updater/update_chconf_nil.sh
index e00f57bea..ec297286e 100644
--- a/tools/updater/update_chconf_nil.sh
+++ b/tools/updater/update_chconf_nil.sh
@@ -14,7 +14,7 @@ then
then
echo Processing: $1
egrep -e "\#define\s+[a-zA-Z0-9_]*\s+[a-zA-Z0-9_]" <<< "$conffile" | sed 's/\#define //g; s/ */=/g' > ./values.txt
- if ! fmpp -q -C chconf_nil.fmpp
+ if ! fmpp -q -C conf.fmpp -S ../ftl/processors/conf/chconf_nil
then
echo
echo "aborted"
diff --git a/tools/updater/update_chconf_rt.sh b/tools/updater/update_chconf_rt.sh
index ce5b786ac..d29f53050 100644
--- a/tools/updater/update_chconf_rt.sh
+++ b/tools/updater/update_chconf_rt.sh
@@ -14,7 +14,7 @@ then
then
echo Processing: $1
egrep -e "\#define\s+[a-zA-Z0-9_]*\s+[a-zA-Z0-9_]" <<< "$conffile" | sed 's/\#define //g; s/ */=/g' > ./values.txt
- if ! fmpp -q -C chconf_rt.fmpp
+ if ! fmpp -q -C conf.fmpp -S ../ftl/processors/conf/chconf_rt
then
echo
echo "aborted"
diff --git a/tools/updater/update_halconf.sh b/tools/updater/update_halconf.sh
index 1290d628d..130ca5ba7 100644
--- a/tools/updater/update_halconf.sh
+++ b/tools/updater/update_halconf.sh
@@ -14,7 +14,7 @@ then
# then
echo Processing: $1
egrep -e "\#define\s+[a-zA-Z0-9_]*\s+[a-zA-Z0-9_]" <<< "$conffile" | sed 's/\#define //g; s/ */=/g' > ./values.txt
- if ! fmpp -q -C halconf.fmpp
+ if ! fmpp -q -C conf.fmpp -S ../ftl/processors/conf/halconf
then
echo
echo "aborted"
diff --git a/tools/updater/update_mcuconf_stm32f413xx.sh b/tools/updater/update_mcuconf_stm32f413xx.sh
index 0e8867889..661d35beb 100644
--- a/tools/updater/update_mcuconf_stm32f413xx.sh
+++ b/tools/updater/update_mcuconf_stm32f413xx.sh
@@ -14,7 +14,7 @@ then
then
echo Processing: $1
egrep -e "\#define\s+[a-zA-Z0-9_()]*\s+[a-zA-Z0-9_]" <<< "$conffile" | sed -r 's/\#define\s+([a-zA-Z0-9_]*)(\([^)]*\))?\s+/\1=/g' > ./values.txt
- if ! fmpp -q -C mcuconf_stm32f413xx.fmpp
+ if ! fmpp -q -C conf.fmpp -S ../ftl/processors/conf/mcuconf_stm32f413xx
then
echo
echo "aborted"
diff --git a/tools/updater/update_mcuconf_stm32h743xx.sh b/tools/updater/update_mcuconf_stm32h743xx.sh
index 9116b5e42..b45d9ecf4 100644
--- a/tools/updater/update_mcuconf_stm32h743xx.sh
+++ b/tools/updater/update_mcuconf_stm32h743xx.sh
@@ -14,7 +14,7 @@ then
then
echo Processing: $1
egrep -e "\#define\s+[a-zA-Z0-9_()]*\s+[a-zA-Z0-9_]" <<< "$conffile" | sed -r 's/\#define\s+([a-zA-Z0-9_]*)(\([^)]*\))?\s+/\1=/g' > ./values.txt
- if ! fmpp -q -C mcuconf_stm32h743xx.fmpp
+ if ! fmpp -q -C conf.fmpp -S ../ftl/processors/conf/mcuconf_stm32h743xx
then
echo
echo "aborted"
diff --git a/tools/updater/update_mcuconf_stm32l4r5xx.sh b/tools/updater/update_mcuconf_stm32l4r5xx.sh
index 7151d7bf0..6b28c46dd 100644
--- a/tools/updater/update_mcuconf_stm32l4r5xx.sh
+++ b/tools/updater/update_mcuconf_stm32l4r5xx.sh
@@ -14,7 +14,7 @@ then
then
echo Processing: $1
egrep -e "\#define\s+[a-zA-Z0-9_()]*\s+[a-zA-Z0-9_]" <<< "$conffile" | sed -r 's/\#define\s+([a-zA-Z0-9_]*)(\([^)]*\))?\s+/\1=/g' > ./values.txt
- if ! fmpp -q -C mcuconf_stm32l4r5xx.fmpp
+ if ! fmpp -q -C conf.fmpp -S ../ftl/processors/conf/mcuconf_stm32l4r5xx
then
echo
echo "aborted"